Bug 1283498 - messages log flooded with 'Failed to reset devices.list on /machine.slice: Invalid argument'
messages log flooded with 'Failed to reset devices.list on /machine.slice: In...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: rhev-hypervisor (Show other bugs)
unspecified
x86_64 Linux
unspecified Severity high
: ovirt-3.6.1
: ---
Assigned To: Fabian Deutsch
cshao
: TestOnly
Depends On: 1178848
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-19 02:39 EST by Max
Modified: 2016-03-09 09:48 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-09 09:48:01 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Node
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Max 2015-11-19 02:39:51 EST
Description of problem:
messages log flooded with 'Failed to reset devices.list on /machine.slice: Invalid argument'.

Version-Release number of selected component (if applicable):
Linux 3.10.0-229.14.1.el7.x86_64

rpm -qa | grep systemd
systemd-208-20.el7_1.6.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Fabian Deutsch 2015-11-19 03:15:19 EST
Can you please provide the RHEV-H version and sosreport (run sos on the console) from the host?
Comment 2 Max 2015-11-19 05:42:46 EST
RHEV Hypervisor - 7.1 - 20151015.0.el7ev
RHEV Manager - 3.5.5-0.1.el6ev
Comment 3 Fabian Deutsch 2015-11-19 05:47:35 EST
This is likely a dupe of bug 1178848.
Comment 5 Fabian Deutsch 2015-11-20 05:03:47 EST
Hiding comment 4 to protect some sensitive informations.
Comment 6 Fabian Deutsch 2015-11-23 08:44:18 EST
Ying, can you reproduce this issue?
Comment 7 cshao 2015-11-24 04:11:37 EST
(In reply to Fabian Deutsch from comment #6)
> Ying, can you reproduce this issue?

Test version:
rhev-hypervisor7-7.1-20151015.0 + ovirt-node-3.2.3-23.el7.noarch + systemd-208-20.el7_1.6.x86_64
rhev-hypervisor7-7.2-20151123.0 + ovirt-node-3.2.3-29.el7.noarch + systemd-219-19.el7.x86_64

Test steps:
1. Install RHEV-H.
2. Login hypervisor, configure network with bond.
3. Check /var/log/messages (grep "Failed to reset devices.list" /var/log/messages)
4. Reboot host repeatedly.
5. Check /var/log/messages again.


Test result:
# grep "Failed to reset devices.list" /var/log/messages
#

We can't reproduce this issue on our test env.
Comment 8 cshao 2015-11-26 01:14:51 EST
Hi Max,

Can you please provide the detail reproduce steps? or could you help us to verify this bug?

Thanks!
Comment 9 Max 2015-11-26 03:03:14 EST
Hi Chen,

Can you please add any VM on hypervisor(from template or install)? On our's empty hypervisors there are no errors in messages file.
Comment 10 cshao 2015-11-26 21:53:04 EST
(In reply to Max from comment #9)
> Hi Chen,
> 
> Can you please add any VM on hypervisor(from template or install)? On our's
> empty hypervisors there are no errors in messages file.

Hi Max,

Thanks for your advice, I can reproduce this issue now.

Test version:
RHEV Hypervisor-7.1-20151015.0.el7ev
ovirt-node-3.2.3-23.el7.noarch

Test steps:
1. Install RHEV-H.
2. Login hypervisor, configure network
3. Register to RHEV-M
4. Create VM.
5. Check /var/log/messages (grep "Failed to reset devices.list" /var/log/messages)
6. Reboot host repeatedly.
7. Check /var/log/messages again.

Test result:
# grep "Failed to reset devices.list" /var/log/messages
Nov 27 02:36:01 localhost systemd: Failed to reset devices.list on /machine.slice: Invalid argument
Nov 27 02:37:56 localhost systemd: Failed to reset devices.list on /machine.slice: Invalid argument
Nov 27 02:38:01 localhost systemd: Failed to reset devices.list on /machine.slice: Invalid argument
Nov 27 02:40:01 localhost systemd: Failed to reset devices.list on /machine.slice: Invalid argument
Nov 27 02:40:01 localhost systemd: Failed to reset devices.list on /machine.slice: Invalid argument
Nov 27 02:40:01 localhost systemd: Failed to reset devices.list on /machine.slice: Invalid argument
Nov 27 02:40:01 localhost systemd: Failed to reset devices.list on /machine.slice: Invalid argument
Nov 27 02:42:01 localhost systemd: Failed to reset devices.list on /machine.slice: Invalid argument
Nov 27 02:44:02 localhost systemd: Failed to reset devices.list on /machine.slice: Invalid argument
Nov 27 02:46:01 localhost systemd: Failed to reset devices.list on /machine.slice: Invalid argument
Nov 27 02:48:01 localhost systemd: Failed to reset devices.list on /machine.slice: Invalid argument
Nov 27 02:50:01 localhost systemd: Failed to reset devices.list on /machine.slice: Invalid argument
Nov 27 02:50:01 localhost systemd: Failed to reset devices.list on /machine.slice: Invalid argument
Nov 27 02:50:01 localhost systemd: Failed to reset devices.list on /machine.slice: Invalid argument

Hi ycui,

Please give qa_ack.

Thanks!
Comment 11 cshao 2015-12-15 23:47:38 EST
Test version:
rhev-hypervisor7-7.2-20151210.1
ovirt-node-3.6.0-0.24.20151209gitc0fa931.el7ev.noarch


Test steps:
1. Install RHEV-H.
2. Login hypervisor, configure network
3. Register to RHEV-M
4. Create VM.
5. Check /var/log/messages (grep "Failed to reset devices.list" /var/log/messages)
6. Reboot host repeatedly.
7. Check /var/log/messages again.

Test result:
Above messages log was gone.
So the bug is fixed, change bug status to VERIFIED.
Comment 13 errata-xmlrpc 2016-03-09 09:48:01 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-0379.html

Note You need to log in before you can comment on or make changes to this bug.